//Copyright (C) 2007 SiegeLord
//See ReadMe.txt and License.txt for copying information

#pragma once

struct SBitmap;
struct SWorld
{
	float velocity_factor;
	float planet_size;
	SBitmap* planet;
	SBitmap* star;
	SWorld()
	{
		velocity_factor = 0.00005f;
		planet_size = 1024.0f;
	}
};

extern SWorld g_strWorld;

void DrawWorld();

//float GetOrbitVelocity(float radius);
//
//float GetOrbitThetaTraveled(float r0, float a, float v0, float t);

float GetMinWorldRadius();
float GetMaxWorldRadius();

void InitWorld();
